export declare class Dict<K extends string, T> {
    private data;
    get(key: K): T;
    clear(): {};
    set(key: K, value: T): void;
    has(key: K): boolean;
    delete(key: K): void;
    keys(): string[];
    size(): number;
    values(): T[];
}
