"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var isNode_1 = require("./isNode");
var EventPolyfill = /** @class */ (function () {
    function EventPolyfill(type) {
        this.composed = false;
        this.type = type;
    }
    EventPolyfill.prototype.initEvent = function (eventTypeArg, canBubbleArg, cancelableArg) {
        throw new Error("initEvent is deprecated");
    };
    EventPolyfill.prototype.preventDefault = function () {
        throw new Error("Unimplemented");
    };
    EventPolyfill.prototype.composedPath = function () {
        throw new Error("Unimplemented");
    };
    EventPolyfill.prototype.stopImmediatePropagation = function () {
        throw new Error("Unimplemented");
    };
    EventPolyfill.prototype.stopPropagation = function () {
        throw new Error("Unimplemented");
    };
    return EventPolyfill;
}());
exports.default = (isNode_1.default ? EventPolyfill : Event);
//# sourceMappingURL=Event.js.map