import { Dict } from "../polyfill/Dict";
import { IRouterConnector } from "./IRouterConnector";
import { RoutedWebSocket } from "./RoutedWebSocket";
export declare class DummyRouterConnector implements IRouterConnector {
    static clear: () => number;
    private static instances;
    onMessage?: (key: string, data: any) => boolean;
    onStatus?: (key: string, status: number) => boolean;
    onBroadcast?: (data: any) => void;
    onClose?: (key: string, code: number, reason: string) => boolean;
    onRequestReadyState?: (key: string) => number;
    subscriptions: Dict<string, RoutedWebSocket[]>;
    constructor();
    send(key: string, data: any): void;
    requestReadyState(key: string): Promise<number>;
    emitMessage(key: string, event: MessageEvent): void;
    subscribe(key: string, ws: RoutedWebSocket): void;
    unsubscribe(key: string, ws: RoutedWebSocket): void;
    broadcast(data: any): void;
    readyState(key: string, status: number): void;
    close(key: string, code: number, reason: string): void;
}
