import { Pipe } from "../pipe/Pipe";
import { Dict } from "../polyfill/Dict";
import { Router } from "../router/Router";
export declare class Server {
    readonly router: Router;
    clients: Dict<string, {
        data: Pipe;
        cable: Pipe;
    }>;
    buffers: Dict<string, string[]>;
    channels: Dict<string, {
        source: Pipe;
        target?: Pipe;
    }>;
    constructor();
    destroy(): void;
    addWebSocket(ws: WebSocket): () => void;
}
