import { IRouterConnector } from "./IRouterConnector";
import { RoutedWebSocket } from "./RoutedWebSocket";
/**
 * ALPHA, do not use
 * The Router route messages from different servers
 */
export declare class Router {
    _connector: IRouterConnector;
    private readonly localWebSockets;
    private readonly virtualWebSockets;
    clear(): void;
    destroy(): void;
    set connector(value: IRouterConnector);
    onMessage(id: string, data: any): boolean;
    onRequestReadyState(id: string, data: any): number;
    onStatus(id: string, status: number): void;
    onBroadcast(data: any): void;
    onClose(id: string, code: number, reason: string): boolean;
    emitState(id: string, ws: WebSocket): void;
    set(id: string, ws: WebSocket): void;
    delete(id: string): void;
    get(id: string): WebSocket;
    onMessageSubscribe(id: string, ws: RoutedWebSocket): void;
    onMessageUnsubscribe(id: string, ws: RoutedWebSocket): void;
    broadcast(data: string | ArrayBufferLike | Blob | ArrayBufferView): void;
    private createRoutedWebsocket;
    private send;
    private setReadyState;
    private emitMessage;
    private close;
}
