/**
 * Truncated exponential backoff default policy for the Waterfall retry
 * see https://en.wikipedia.org/wiki/Exponential_backoff
 * @param {number} slotTime
 * @param {number} truncate
 * @returns {(attempt: number, websocket: WebSocket) => number}
 */
export declare const exponentialTruncatedBackoff: (slotTime?: number, truncate?: number) => (attempt: number, websocket: WebSocket) => number;
